/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLObjectElement_H__
#define __GdomHTMLObjectElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLObjectElement GdomHTMLObjectElement;
typedef struct _GdomHTMLObjectElementClass GdomHTMLObjectElementClass;


#define GDOM_TYPE_HTML_OBJECT_ELEMENT            (gdom_html_object_element_get_type())
#define GDOM_HTML_OBJECT_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_OBJECT_ELEMENT, GdomHTMLObjectElement))
#define GDOM_HTML_OBJECT_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_OBJECT_ELEMENT, GdomHTMLObjectElement)Class)
#define GDOM_IS_HTML_OBJECT_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_OBJECT_ELEMENT))
#define GDOM_IS_HTML_OBJECT_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_OBJECT_ELEMENT))
#define GDOM_HTML_OBJECT_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_OBJECT_ELEMENT, GdomHTMLObjectElementClass))

typedef struct _GdomHTMLObjectElementPrivate GdomHTMLObjectElementPrivate;

struct _GdomHTMLObjectElement {
    GdomHTMLElement parent_instance;
    GdomHTMLObjectElementPrivate *priv;
};

struct _GdomHTMLObjectElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_object_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLObjectElement_H__ */
